<div class="flex flex-col flex-auto items-top min-w-0" style="background-color: #f8f8f8">
    <!-- Logo -->
    <div class="w-full sm:w-auto px-4 sm:p-1 shadow bg-white">
        <div class="container mx-auto flex justify-between">
            <div class="container flex items-center h-14 px-4 mb-3 pb-0">
                <!-- Light version -->
                <img class="dark:hidden w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image" />
                <!-- Dark version -->
                <img class="hidden dark:flex w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image" />
            </div>
            <div class="flex items-center cursor-pointer" [routerLink]="['/sign-in']">
                <span class="mt-6 mb-6 font-333 font-Regular-18">Login</span>
            </div>
        </div>
    </div>

    <!-- <div class="absolute top-20 left-1/2 -translate-x-1/2 w-2/5">
        <div id="dismiss-toast" class="font-ffffff font-Bold-20 m-auto hs-removing:translate-x-5 hs-removing:opacity-0 transition duration-300 max-w-xs bg-0038ff border shadow-lg" role="alert">
            <div class="flex p-4 justify-between">
              <p class="font-ffffff font-Regular-20 ">
                Verified
              </p>
          
              <div>
                <button type="button" class="justify-center items-center font-ffffff font-Bold-20 " data-hs-remove-element="#dismiss-toast">
                  <span>OK</span>
                </button>
              </div>
            </div>
          </div>
    </div> -->

    <div class="container mx-auto flex justify-between">
        <div class="flex items-center cursor-pointer" [routerLink]="['/register']">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">keyboard_arrow_left</mat-icon><span
                class="mt-6 mb-6 font-Semibold-20" style="color: #0038ff">Back</span>
        </div>
        <div class="flex items-center w-auto">
            <button [routerLink]="['/register']" class="mr-2" style="
                    border: 1px solid #0038ff;
                    background-color: #0038ff;
                    width: 46px !important;
                    height: 4px !important;
                    border-radius: 5px;
                "></button>

            <button [routerLink]="['/create-account']" class="mr-2" style="
                    border: 1px solid #0038ff;
                    background-color: #0038ff;
                    width: 46px !important;
                    height: 4px !important;
                    border-radius: 5px;
                "></button>

            <button class="mr-2" style="
                    border: 1px;
                    background-color: #d1d3d4;
                    width: 46px !important;
                    height: 4px !important;
                    border-radius: 5px;
                "></button>
        </div>
        <div>
            <mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #0038ff">help_outline</mat-icon>
        </div>
    </div>

    <div class="flex flex-col pt-6 mx-6">
        <div class="mt-2 font-Semibold-40 font-141461 leading-none text-center">
            <div>Register</div>
        </div>
    </div>
    <div id="account"
        class="items-top justify-center mt-7 mb-10 mx-auto w-full sm:w-auto px-4 sm:p-8 md:p-12 bg-card box-width"
        style="box-shadow: 0px 0px 6px #0000001a">
        <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0">
            <!-- Alert -->
            <fuse-alert class="mt-2" *ngIf="showAlert" [appearance]="'outline'" [showIcon]="false" [type]="alert.type"
                [@shake]="alert.type === 'error'">
                {{ alert.message }}
            </fuse-alert>

            <div class="font-Semibold-24 tracking-tight leading-7 mt-2">
                Create Account
            </div>

            <form id="register1" class="mt-4" [formGroup]="CreateAccountForm" #CreateAccountNgForm="ngForm">
                <mat-form-field appearance="outline" class="fuse-mat-button-large w-full">
                    <mat-label>Email Address</mat-label>
                    <input id="email" matInput type="email" formControlName="email" readonly (focus)="clearAutofill()"
                        autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" required />

                    <mat-error *ngIf="
                            CreateAccountForm.get('email').hasError('required')
                        ">
                        Your email is required
                    </mat-error>
                    <mat-error *ngIf="CreateAccountForm.get('email').hasError('email')">
                        Please enter your email in format: youremail@gmail.com
                    </mat-error>
                </mat-form-field>
                <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-2">
                    <mat-label>Password</mat-label>
                    <input id="password" matInput formControlName="password" #passwordField type="password" readonly
                        (focus)="clearAutofill()" autocomplete="off" autocorrect="off" autocapitalize="none"
                        spellcheck="false" required />
                    <button mat-icon-button type="button" (click)="
                            passwordField.type === 'password'
                                ? (passwordField.type = 'text')
                                : (passwordField.type = 'password')
                        " matSuffix>
                        <mat-icon class="icon-size-5" *ngIf="passwordField.type === 'text'"
                            [svgIcon]="'heroicons_solid:eye'"></mat-icon>
                        <mat-icon class="icon-size-5" *ngIf="passwordField.type === 'password'"
                            [svgIcon]="'heroicons_solid:eye-off'"></mat-icon>
                    </button>
                    <mat-error>
                        Password must meet password criteria
                    </mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-2">
                    <mat-label>Repeat Password</mat-label>
                    <input id="comfirmPassword" matInput formControlName="confirmPassword" #confirmpasswordField
                        type="password" readonly (focus)="clearAutofill()" autocomplete="off" autocorrect="off"
                        autocapitalize="none" spellcheck="false" required />
                    <button mat-icon-button type="button" (click)="
                            confirmpasswordField.type === 'password'
                                ? (confirmpasswordField.type = 'text')
                                : (confirmpasswordField.type = 'password')
                        " matSuffix>
                        <mat-icon class="icon-size-5" *ngIf="confirmpasswordField.type === 'text'"
                            [svgIcon]="'heroicons_solid:eye'"></mat-icon>
                        <mat-icon class="icon-size-5" *ngIf="confirmpasswordField.type === 'password'"
                            [svgIcon]="'heroicons_solid:eye-off'"></mat-icon>
                    </button>
                    <mat-error *ngIf="
                    CreateAccountForm.get('confirmPassword').hasError(
                        'required'
                    )
                ">
                        Password confirmation is required
                    </mat-error>
                    <mat-error *ngIf="
                    CreateAccountForm.get('confirmPassword').hasError(
                        'mustMatch'
                    )
                ">
                        Passwords must match
                    </mat-error>
                </mat-form-field>

                <p class="font-Regular-16 font-7B7B7B">Your password must:</p>

                <ul id="register1" class="font-Regular-14 ml-4 font-7B7B7B leading-6">
                    <li>
                        <span *ngIf="passwordLength >= 8" style="font-size: 20px; color: #00e435">
                            &#10003;
                            <!-- Green tick -->
                        </span>
                        <span *ngIf="passwordLength < 8" style="font-size: 24px; color: #d1d3d4">
                            &#x2022;
                            <!-- Bullet -->
                        </span>
                        Have a minimum of 8 characters
                    </li>
                    <li>
                        <span *ngIf="hasLowerCase" style="font-size: 20px; color: #00e435">
                            &#10003;
                            <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasLowerCase" style="font-size: 24px; color: #d1d3d4">
                            &#x2022;
                            <!-- Bullet -->
                        </span>
                        Include at least one lowercase letter (a-z)
                    </li>
                    <li>
                        <span *ngIf="hasUpperCase" style="font-size: 20px; color: #00e435">
                            &#10003;
                            <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasUpperCase" style="font-size: 24px; color: #d1d3d4">
                            &#x2022;
                            <!-- Bullet -->
                        </span>
                        Include at least one uppercase letter (A-Z)
                    </li>
                    <li>
                        <span *ngIf="hasNumber" style="font-size: 20px; color: #00e435">
                            &#10003;
                            <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasNumber" style="font-size: 24px; color: #d1d3d4">
                            &#x2022;
                            <!-- Bullet -->
                        </span>
                        Include at least one number
                    </li>
                    <li>
                        <span *ngIf="hasSpecialChar" style="font-size: 20px; color: #00e435">
                            &#10003;
                            <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasSpecialChar" style="font-size: 24px; color: #d1d3d4">
                            &#x2022;
                            <!-- Bullet -->
                        </span>
                        Include at least one special character (@#$%&=+)
                    </li>
                    <li>
                        <span *ngIf="hasMatchPassword" style="font-size: 20px; color: #00e435">
                            &#10003;
                            <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasMatchPassword" style="font-size: 24px; color: #d1d3d4">
                            &#x2022;
                            <!-- Bullet -->
                        </span>
                        Be the same password in the Repeat Password box
                    </li>
                    <li>
                        <span *ngIf="hasCommonWord" style="font-size: 20px; color:#00e435">
                            &#10003;
                        </span>
                        <span *ngIf="!hasCommonWord" style="font-size: 24px; color:#D1D3D4">
                            &#x2022;
                        </span>
                        Not contain common dictionary words
                    </li>
                </ul>

                <div>
                    <button class="fuse-mat-button-large w-full mt-6 button-r5-disable button-r5" mat-flat-button
                        [color]="'primary'" [disabled]="CreateAccountForm.disabled" (click)="nextButton()">
                        <span *ngIf="!CreateAccountForm.disabled">
                            Continue
                        </span>
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>